.file-field {
    cursor: pointer;
    border-radius: 4px;
  //  white-space: nowrap;
    font-size: rem(13);
    line-height: rem(20);
    max-width: 100%;
    font-weight: 400;
    padding: rem(4) rem(12);
    overflow: hidden;
    position: relative;
    display: flex;
    height: rem(56);
    align-items: center;
    justify-content: center;
    fill: var(--gray-40);
    color: black;
    text-decoration: none;
    background: white;
    border: 1px dashed var(--primary);
    column-gap: rem(10);

    &:hover {
        fill: var(--gray-40);
        text-decoration: none;
    }

    input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        display: block;
        overflow: hidden;
        position: absolute;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(20);
        flex-shrink: 0;
        display: inline-block;
    }

    &__placeholder {
        display: block;
    }

    &__name {
        display: none;
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: calc(100% - 60px);
    }

    &--uploaded {

        .file-field {

            &__placeholder {
                display: none;
            }

            &__name {
                display: block;
            }
        }
    }
}
